var JSP_PORTADASM="JSP_PORTADASM";



function onLoadPage(){

	//comprobarDestNoResi();

	//Para el alta, en vez de coger el dato del niGrupo del contexto, se lo metemos en el hashmap, que se va a mapear al contexto, que es lo que le va a llegar a 

	//la funci?n de alta.En la modificaci?n, ya lo ha obtenido de la base de datos, as? que no necesitamos esto, por lo que no hemos pintado el hidden niGrupoCuesSMAnu,

	//para que no se ejecuten 

	if(document.forms["formCuestionariosSMAnu"].elements["cuestionarioSMAnu(niGrupoCuesSMAnu)"])

		document.forms["formCuestionariosSMAnu"].elements["cuestionarioSMAnu(niGrupoCuesSMAnu)"].value = document.forms["formCuestionariosSMAnu"].elements["niGrupoCuesSMAnu"].value;

	

	

	cargarNombreViaLauncher();

	//Se selecciona el campo del nombre de v?a

	

	seleccionarComboDesdeCampo("cuestionarioSMAnu(nombreVia)","nombreVia");	

	if (document.forms["formCuestionariosSMAnu"].elements["cuestionarioSMAnu(nombreVia)"].value != ""){

		cargarBloqueLauncher();

		seleccionarComboDesdeCampo("cuestionarioSMAnu(bloque)","bloque");

		cargarNumePortalLauncher();

		seleccionarComboDesdeCampo("cuestionarioSMAnu(numePortal)","numePortal");

		cargarComplemDirLauncher();

		seleccionarComboDesdeCampo("cuestionarioSMAnu(acepcion)","acepcion");

	}

	if (document.forms["formCuestionariosSMAnu"].elements["cuestionarioSMAnu(nombreVia)"].value != "" &&

			document.forms["formCuestionariosSMAnu"].elements["cuestionarioSMAnu(numePortal)"].value != ""){

		cargarBisPortalLauncher();

		seleccionarComboDesdeCampo("cuestionarioSMAnu(bisPortal)","bisPortal");

	}

	

	if (document.forms["formCuestionariosSMAnu"].elements["accion"].value == "KEY_GUARDAR_REPETIR"){

		document.forms["formCuestionariosSMAnu"].elements["filtro(modificarPrevSuelo)"].value="0";

	}

}



function validarFecha2008(){

	if(document.forms["formCuestionariosSMAnu"].elements["inicio"].value==JSP_PORTADASM){

		var fecha = document.forms["formCuestionariosSMAnu"].elements["cuestionarioSMAnu(fecAdquisicion)"].value;

		if(fecha!=""){

			var anyo =  fecha.split("/")[2];

			if(anyo!=2008){

				alert(msgFechaAdq);

				return false;

			}

		}

	}

	return true;

}



function validarDatos(){



	var supTotal = Number(document.forms["formCuestionariosSMAnu"].elements["cuestionarioSMAnu(supSueloT)"].value);

	var supConstruida = Number(document.forms["formCuestionariosSMAnu"].elements["cuestionarioSMAnu(supSueloC)"].value);

	var valoracionSuelo = Number(document.forms["formCuestionariosSMAnu"].elements["cuestionarioSMAnu(costeSuelo)"].value);



	//Validaion de la superficie total

	if(supTotal!=""){

		if(supTotal<rangoMinSupTotal || supTotal>rangoMaxSupTotal){

			alert(msgSupTotal);

			return false;

		}

	}

	//Validacion de la superficie construida

	if(supConstruida!=""){

		if(supConstruida<rangoMinSupCons || supConstruida>rangoMaxSupCons){

			alert(msgSupConstruida);

			return false;

		}

	}

	//validaci?n de la valoraci?n del suelo

	if(valoracionSuelo!=""&&valoracionSuelo!=0){

		if(valoracionSuelo<rangoMinValSuelo || valoracionSuelo>rangoMaxValSuelo){

			alert(msgValoracionSuelo);

			return false;

		}

	}



	return true;

}